/*電腦loading*/
.demo {
      width: 60px;
      height: auto;
      position: absolute;
      top: 24%;
  }
  .an.img {
      width: 100%;
      height: auto;
  }
  .demo-building{
    width: 140px;
    height: auto;
    position: absolute;
    top: -28%;
    left: -62px;
      transform: scale(0);                  /* 初始縮小 */
    animation: zoomIn 0.2s ease-out forwards;
  }
  .demo-building2{
        width: 336px;
    height: auto;
    position: absolute;
    top: -107%;
      transform: scale(0);                  /* 初始縮小 */
    animation: zoomIn 0.2s ease-out forwards;
  }
  .img-nationalDay{
    width: 100%;
    height: auto;
  }
  @keyframes zoomIn {
    from {
      transform: scale(0);
    }
    to {
      transform: scale(1);
    }
  }
  
  .demo-flag_s{
    width: 49px;
    height: auto;
    position: absolute;
    top: 9% ;
    left: -118px;
    opacity: 0;
  }
  .demo-flag_s2{
       width: 43px;
    height: auto;
    position: absolute;
    top: 16% ;
    left: 57px ;
    opacity: 0;
  }
  @keyframes demo-flag_s {
    from {
      opacity: 0;
      transform: scale(0);
     top: 9% ;
    left: -118px;
    }
    to {
      opacity: 1;
      transform: scale(1);
     top: 9% ;
    left: -118px;
    }
  }
  @keyframes demo-flag_s2 {
    from {
      opacity: 0;
      transform: scale(0);
     top: 16% ;
    left: 57px ;
    }
    to {
      opacity: 1;
      transform: scale(1);
     top: 16% ;
    left: 57px ;
    }
  }
  /* 放大放小 
  @keyframes rotateImage_flag1 {
    0% {
          transform: scale(1);
    }
    50% {
          transform: scale(1.2);
    }
    100% {
          transform: scale(1);
    }
  }*/

  /* 左右擺動動畫（底部固定）*/ 
@keyframes swingImage_flag1 {
  0%   { transform: rotate(0deg); }
  
  50%  { transform: rotate(20deg); }
  
  100% { transform: rotate(0deg); }
}
.my-element{
  transform-origin: bottom center; /* 底部固定 */
}
/* 當淡入結束後，再做左右搖擺 */
.my-element.rotate {
  animation: demo-flag_s 0.5s ease forwards, 
            swingImage_flag1 1.2s ease-in-out infinite;
  animation-delay: 0.1s, 0.6s;
}


  .my-element2.rotate {
    animation: demo-flag_s2 0.5s ease forwards, 
              swingImage_flag1 0.6s linear infinite;
    animation-delay: 0.1s, 0.6s; /* 第一個動畫0.1s開始，第二個動畫0.6s開始 */
  }
/*下面點點*/
  .loading_animation_list {
    position: absolute;
    top: 114%;
    left: -90px;
  }
  .loading_animation > div, .loading_animation_list > div{
        width: 251%;
  }
  .dots {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 16px; /* 點點間距，調大讓它們分開 */
  }
  .dot {
    transform: scale(0.6);  /* 初始就設定為動畫起點 */
    width: 14px;
    height: 14px;
    border-radius: 50%;
    display: inline-block;
    background-color: #ff7800; /* 一開始就顯示紅色 */
    animation: pulse 1.5s infinite ease-in-out;
    margin: 8% 4% 0 4%;
  }

  @keyframes pulse {
    0%, 100% {
      transform: scale(0.6);
      background-color: #ff7800;
    }
    50% {
      transform: scale(1.5);
      background-color: #ff770048;
    }
  }
  /* 每個點依序延遲 */
  .delay1 { animation-delay: 0.3s; }
  .delay2 { animation-delay: 0.6s; }
  .delay3 { animation-delay: 0.9s; }
  .delay4 { animation-delay: 1.2s; }




/*電腦登入*/
.homepage_login_span {
    position: absolute;
    top: 3px;
    right: 2px;
    cursor: pointer;
    z-index: 10;
    font-size: 33px;
    font-weight: 700;
    opacity: 1 !important;
    width: 50px;
    height: 50px;
    border-radius: 50%;
}
.christmas-i-color{
    color: #252d07 !important;
}
.dragon-span-color{
    color: #145a2e !important;
}
.festival-span-color{
    color: #fff !important;
}
.homepage_login_girl{
    display: none;

}
.prompt{
    background-color: #252d07 !important;
    color: #fff !important;
}
.homepage_login_top{
       width: 64%;
    position: absolute;
    top: -72px;
    left: -246px;
    z-index: 2;
}
.homepage_login_bottom2_registModal{
  width: 96%;
    position: absolute;
    bottom: 7px;
    left: 8px;
    z-index: 1;
}
.homepage_login_bottom{
        width: 74%;
    position: absolute;
    left: 294px;
    bottom: -23px;
    z-index: 100;
}


.homepage_login_bg {
       background-size: cover;
    border: 7px solid;
    border-radius: 10px;
    border-image-slice: 1;
    background-color: #f7fff7 !important;
    background-image: none;
    border-image: linear-gradient(to bottom, #2fb383, #18a86b) 1;
    background-color: #fff;
    /* border-color: #f0520e;*/
}
@property --rotate {
    syntax: "<angle>";
    initial-value: 132deg;
    inherits: false;
  }

.homepage_login_cancel{
    position: absolute;
    top: -27px;
    right: -25px;
    cursor: pointer;
    z-index: 9000;
}
.homepage_login_bg .nav-tabs>li>a.active {
        background-color: #145a2e !important;
    color: #fff !important;
    z-index: 1;
}
.modal-footer-m {
    z-index: 1;
}
.homepage_login_bg .tab-content {
        background: linear-gradient(to bottom, #145a2e 0%, #145a2e 100%) !important;
}
.bookmark_type {
        background-color: #252d07 !important;
    color: #fff !important;
    z-index: 1;
}
.login-btn {
   background-color: #252d07 !important;
    border-color: #252d07;
    color: #fff;
}
.mobile-eye{
    color: #252d07 !important;
}

/*手機loading*/
.box1 {
    width: 80%;
    height: 40%;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
}
.loading_animation_rwd > div{
        width: 82%;
    margin: 6px 5px;
    display: inline-block;
}
.loading_animation_rwd {
    width: 100%;
    height: 28px;
    position: absolute;
    top: 99px;
    right: 0;
    bottom: 0;
    left: 3px;
    margin: auto;
}
.demo1_span {
    width: 100%;
    height: 73%;
    position: absolute;
    top: 0px;
    left: 0;
}
.demo1_loading_list {
    width: 100%;
    height: 36px;
    position: absolute;
    top: 124px;
    right: 0;
    bottom: 0;
    left: -6px;
    margin: auto;
}

.demo1-building{
       width: 35%;
    position: absolute;
    bottom: 73%;
    left: 34%;
}
.demo1-building2{
    width: 83%;
    position: absolute;
    bottom: 75%;
    left: 7%;
}
.img-building{
    width: 100%;
    height: auto;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    transform: scale(0);                  /* 初始縮小 */
    animation: zoomIn 0.2s ease-out forwards;
}

.demo1-flag2{
   width: 11%;
    position: absolute;
    bottom: 70%;
    left: 22%;
}
.demo1-flag3{
   width: 10%;
    position: absolute;
    bottom: 68%;
    right: 25%;
}
.img-flag2{
    width: 100%;
    height: auto;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
    opacity: 0;
}

@keyframes demo1-flag_s2-rwd {
    from {
      opacity: 0;
      transform: scale(0);
      bottom: 75%;
    left: 24%;
    }
    to {
      opacity: 1;
      transform: scale(1);
      bottom: 75%;
    left: 24%;
    }
  }
  @keyframes demo1-flag_s3-rwd {
    from {
      opacity: 0;
      transform: scale(0);
      bottom: 68%;
    right: 30%;
    }
    to {
      opacity: 1;
      transform: scale(1);
       bottom: 68%;
    right: 30%;
    }
  }

 /* 當淡入結束後，再做放大放小 */
  .my-element-rwd.rotate {
    animation: demo1-flag_s2-rwd 0.5s ease forwards, 
              swingImage_flag1 0.8s linear infinite;
    animation-delay: 0.1s, 0.6s; /* 第一個動畫0.1s開始，第二個動畫0.6s開始 */
  }
  .my-element2-rwd.rotate {
    animation: demo1-flag_s3-rwd 0.5s ease forwards, 
              swingImage_flag1 0.6s linear infinite;
    animation-delay: 0.1s, 0.6s; /* 第一個動畫0.1s開始，第二個動畫0.6s開始 */
  }



/*手機登入*/
/* webkit 瀏覽器*/ 
.loginPage_input::-webkit-input-placeholder { 
	color: #105b2c !important;
}
/* 火狐瀏覽器 */ 
.loginPage_input::-moz-placeholder { 
	color: #105b2c !important;
}
.loginPage_input{
    color: #105b2c;
}
.loginPage-circle{
    display: none !important;
}
.general-titile-color{
  color: #ff206d !important;
}
.loginPage-logo {
  top: 74px;
    height: 110px;
    width: 110px;
    /* background-image: url(../images/dragon/login_xmas_m2.png) !important; */
    background-color: #edf7ea;
    box-shadow: none;
    border-radius: 50%;
    background-repeat: no-repeat;
    background-size: 100%;
    background-position: left;
    z-index: revert-layer;
}
.loginPage-bg_2 {
    background: none !important;
  border-width: 0px !important;
  padding-top: 62px !important;
  box-shadow: none !important;
}
.festival-indexRwd-bg{
    background-image: url(../images/dragon/login_xmas_m.webp?t=20260525) !important;
    background-size: cover;
    background-repeat: no-repeat;
}
.login_div_2 {
    background: #FFFFFF;
}
.login_div_lock {
       padding: 8px;
    color: rgba(255, 255, 255, 1);
    font-weight: 600;
    height: 40px;
    background: linear-gradient(to bottom, #2fb383 0%, #04844e 100%);
}
.festival-logo{
        height: 60px !important;
    margin-top: 5px;
}
.festival-Service{
	height: 208px !important;
}
.loginPage-logo img{
        top: 17px;
    width: 71%;
    left: 15%;
}
.festival-titile-color{
    color: #585c05   !important;
    text-shadow: -1px -1px 0 #ffff, 1px -1px 0 #ffff, -1px 1px 0 #ffff, 1px 1px 0 #ffff;
    margin-bottom: 15px;
}
.loginPage-icon-1, .mobil-eye{
   color: #252d07 !important;
}
.dragon-span-color-rwd{
    color: #105b2c !important;                    /* 文字顏色：黑 */
    text-shadow:
    -1px -1px 0 #fff,
     1px -1px 0 #fff,
    -1px  1px 0 #fff,
     1px  1px 0 #fff,
    -2px  0   0 #fff,
     2px  0   0 #fff,
     0    2px 0 #fff,
     0   -2px 0 #fff;
}
.login_div_no_lock {
       color: #145a2e !important;
    background-color: #ffffff !important;
}
.loginPage-span-2, .loginPage-span-2-a{
    color:#105b2c !important;                    /* 文字顏色：黑 */
    text-shadow:
    -1px -1px 0 #fff,
     1px -1px 0 #fff,
    -1px  1px 0 #fff,
     1px  1px 0 #fff,
    -2px  0   0 #fff,
     2px  0   0 #fff,
     0    2px 0 #fff,
     0   -2px 0 #fff;
    
}
.loginPage_login_btn{
    color: white;
    background: linear-gradient(to bottom, #2fb383   0%, #04844e 100%) !important;

}
.login-input{
	background-color: rgb(255 255 255) !important;
  color: #265423 !important;
}
/* webkit 瀏覽器*/ 
.login-input::-webkit-input-placeholder { 
	color: #265423 !important;
	letter-spacing: 1px;
	font-size: 16px;
}
/* 火狐瀏覽器 */ 
.login-input::-moz-placeholder { 
	color: #265423 !important;
	letter-spacing: 1px;
	font-size: 16px;
}

.conversation-style{
    bottom: 165px;
}
#aboutMeLogoImg{
	    height: 75px;
}

  
/*開場動畫*/
.opening-bg {
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    overflow: hidden;
    position: fixed;
    background: rgb(0 0 0 / 83%);
}
#opening {
    height: 100%;
    overflow: hidden;
    position: relative;
}
/*電腦版*/
section.main-opening {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  overflow: unset;
}
.demo-building-opening{
    width: 70vh;
    height: auto;
    position: absolute;
    top: -19vh;
      transform: scale(0);                  
    animation: zoomIn 0.2s ease-out forwards;
  }
.demo-building-opening2{
       width: 5vh;
    height: auto;
    position: absolute;
    top: -1vh;
    left: -31vh;
    transform: scale(0);                  
    animation: scaleUp 0.2s ease-out forwards;
    animation-delay: 0.4s;
  }
  .demo-building-opening3{
    width: 4vh;
    height: auto;
    position: absolute;
    top: -20vh;
    left: -5vh;
    transform: scale(0);                  
    animation: scaleUp 0.2s ease-out forwards;
    animation-delay: 0.4s;
  }
  .demo-building-opening4{
        width: 6vh;
    height: auto;
    position: absolute;
    top: 22vh;
    left: 7vh;
    transform: scale(0);                  
    animation: scaleUp 0.2s ease-out forwards;
    animation-delay: 0.4s;
  }
.img-building-opening {
  width: 100%;
  height: auto;
}
.my-scale {
  animation: scaleDown 0.2s ease-out forwards;
  animation-delay: 2.1s;

}
@keyframes zoomIn {
    from {
      transform: scale(0);
    }
    to {
      transform: scale(1);
    }
  }
@keyframes scaleUp {
  0% {
    transform-origin: center;
    transform: scale(0);
  }
  50% {
    transform-origin: center;
    transform: scale(1.2);
  }
  100% {
    transform-origin: center;
    transform: scale(1);
  }
}
@keyframes scaleDown {
  0% {
     transform-origin: center;
    transform: scale(1);
  }
  100% {
    transform-origin: center;
    transform: scale(0);
  }
}
/*手機板*/
.box1-opening{
    display: flex;
    justify-content: center;
    align-items: center;
}
.demo-building-rwd{
        position: absolute;
    top: 27%;
    left: 50%;
    width: 96%;
    transform: translateX(-50%) scale(0);
    animation: zoomIn-rwd 0.2s ease-out forwards;
}
.img-building-rwd{
   width: 100%;
    height: auto;
    
}
.demo-building-rwd2{
        position: absolute;
    top: 36%;
    left: 11%;
    width: 8%;
    transform: translateX(-50%) scale(0);        
    animation: scaleUp-rwd 0.2s ease-out forwards;
    animation-delay: 0.4s;
}
.demo-building-rwd3{
        position: absolute;
    top: 52%;
    left: 62%;
    width: 11%;
    transform: translateX(-50%) scale(0);        
    animation: scaleUp-rwd 0.2s ease-out forwards;
    animation-delay: 0.4s;
}
.demo-building-rwd4{
    position: absolute;
    top: 25%;
    left: 46%;
    width: 8%;
    transform: translateX(-50%) scale(0);        
    animation: scaleUp-rwd 0.2s ease-out forwards;
    animation-delay: 0.4s;
}
.img-building-rwd2{
   width: 100%;
    height: auto;
    
}
@keyframes zoomIn-rwd {
    from {
      transform: translateX(-50%) scale(0);
    }
    to {
      transform: translateX(-50%) scale(1);
    }
  }
@keyframes scaleUp-rwd {
  0% {
    transform-origin: center;
    transform: translateX(-50%) scale(0);
  }
  50% {
    transform-origin: center;
    transform: translateX(-50%) scale(1.2);
  }
  100% {
    transform-origin: center;
    transform: translateX(-50%) scale(1);
  }
}

  
 /* 小螢幕調整 */
@media (min-width: 365px) and (max-width: 385px) {
  .demo-building-rwd {
    position: absolute;
    top: 26%;
  }
  .demo-building-rwd2{
             position: absolute;
        top: 38%;
        left: 11%;
        width: 8%;
  }
  .demo-building-rwd3{
            position: absolute;
        top: 56%;
        left: 62%;
        width: 11%;
  }
  .demo-building-rwd4{
           position: absolute;
        top: 24%;
        left: 46%;
        width: 8%;
    
}
}

@media (min-width: 334px) and (max-width: 360px) {
  
  
}


@media  (min-width: 400px) and (max-width: 430px) {
  
}